class Livre:
    def __init__(self, titre, auteur):
        self.titre = titre
        self.auteur = auteur

    def afficher_infos(self):
        print(f"Titre : {self.titre}, Auteur : {self.auteur}")

    def meme_auteur(self, autre_livre):
        return self.auteur == autre_livre.auteur
    
# Exemple d'utilisation
livre1 = Livre("1984", "George Orwell")
livre2 = Livre("La Ferme des animaux", "George Orwell")
livre3 = Livre("Le théorème du Perroquet", "Denis Guedj")

print(livre1.meme_auteur(livre3))